webpackJsonp([125],{53:function(n,o){n.exports="## Dialog\n\nDialogs inform users about a task and can contain critical information, require decisions, or involve multiple tasks.\n\n## Usage\n\n```js\nimport dialog from 'omim/dialog'\n\ndialog.confirm({\n  confirmText: 'OK',\n  cancelText: 'Cancel',\n  msg: 'Confirm deletion?',\n  confirm: function () {\n    \n  }\n})\n\ndialog.alert({\n  confirmText: 'YES',\n  msg: 'Successful!',\n  confirm: function () {\n\n  }\n})\n\ndialog.prompt({\n  confirmText: 'OK',\n  cancelText: 'Cancel',\n  title:'User info',\n  subtitle:'Input you name',\n  confirm: function (val) {\n    console.log(val)\n  }\n})\n```\n\nOr:\n\n```html\n<m-dialog cancel-button=\"{text: 'Cancel'}\" confirm-button=\"{text: 'Discard'}\">\n  <p class=\"m-dialog-alert-p\">Discard draft?</p>\n</m-dialog>\n```\n\n## Usage in Omi\n\nJSX:\n\n```jsx\n<m-dialog cancel-button={{text: 'Cancel'}} confirm-button={{text: 'Discard'}}>\n  <p style='margin:0'>Discard draft?</p>\n</m-dialog>\n```\n\n## API\n\n### Props\n\n|  **Name**  | **Type**        | **Defaults**  | **Details**  |\n| ------------- |:-------------:|:-----:|:-------------:|\n| show | boolean | -- | Whether to display a dialog box |\n| scrollable | boolean | -- | Dialog content overflow guarantees scrolling |\n| title | string | -- | Dialog title |\n| cancel-button | object | -- | Dialog box cancels button content, supports all m-icon attribute |\n| confirm-button | object | -- | Dialog to confirm button content, supports all m-icon attribute |\n| onOpening | function | -- | Dialog opening trigger |\n| onOpened | function | -- | Dialog opened trigger |\n| onClosing | function | -- | Dialog closing trigger |\n| onClosed | function | -- | Dialog closed trigger |\n| onScrim | function | -- | Click the black transparent area around the dialog box to trigger |\n| onCancel | function | -- | Click the dialog cancel button to trigger |\n| onConfirm | function | -- | Click the dialog confirm button to trigger |\n"}});
//# sourceMappingURL=125.1e66ae29.chunk.js.map